# Barkshark Web

![](barkshark_web/resources/icon-128.png)

Simple Webkit2 GTK web browser with better fediverse integration.

## Installation

### Easy Install

	make install

This will grab all the apt deps (If your system uses a different package manager, sorry. I only know apt), create a python venv, install the python deps, and create a desktop file in $HOME/.local/share/applications

For other package managers, install the equivalent packages and run this command

	make install-nodeb

### Install Dependencies

PyGObject and WebKit2Gtk are required. To install them on a Debian-based distro via apt:

	sudo apt install gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-webkit2-4.0 gir1.2-notify-0.7 python3-gi
	python3 -m pip install -r requirements.txt

If you want to install PyGObject via pip, install these dependencies instead:

	sudo apt install `cat apt-requirements.txt | xargs`

### Build Webkit Web Extension

	make build

## Usage

Run `--help` to see the list of commands to run

	python3 -m barkshark_web --help

## TODO

Moved to [Wiki](https://git.barkshark.xyz/izaliamae/pyweb/wiki/Ideas)

## Credits

App icon by [Efi](https://chitter.xyz/users/efi)

Local web pages use [Nunito Sans](https://github.com/googlefonts/NunitoSans)
