__software__ = 'Barkshark Web'
__shortname__ = 'bsweb'
__author__ = 'Zoey Mae'
__version__ = '0.4.0'


import os, sys, gi, izzylib
assert sys.version_info >= (3, 8, 0)

gi.require_version('Gdk', '3.0')
gi.require_version('GdkPixbuf', '2.0')
gi.require_version('Gtk', '3.0')
gi.require_version('Notify', '0.7')

try: gi.require_version('WebKit2', '4.1')
except ValueError: gi.require_version('WebKit2', '4.0')

from izzylib import LruCache
from gi.repository import (
	Gtk,
	Gdk,
	GdkPixbuf,
	Gio,
	GLib,
	GObject,
	Notify,
	WebKit2
)

izzylib.add_builtins(
	Gtk,
	Gdk,
	GdkPixbuf,
	Gio,
	GLib,
	GObject,
	Notify,
	WebKit2,
	get_app = lambda : Gio.Application.get_default()
)

proto = 'pyweb'
var = ObjectBase(
	readonly_props = True,
	local_proto = proto,
	local = proto + '://',
	dbversion = 20220417
)

cache = ObjectBase(
	permissions = LruCache(),
	posts = LruCache()
)
