import sys

from .base import tables, default_config, default_searches

from .. import var
from ..functions import get_app


def now(db, version):
	app = get_app()

	#if app.cfg.dbtype == 'sqlite':
		#backupdb = app.cfg.name.parent.join('backup').join(f'{app.path.database.name}-{version}')

		#if not backupdb.isfile and version > 0:
			#app.path.database.copy(backupdb)

		#elif backupdb.isfile():
			#db.close()
			#backupdb.copy(app.path.database, overwrite=True)
			#db.open()

	if version == 0:
		db.create_database(tables)

	with db.session as s:
		if version == 0:
			for k,v in default_config.items():
				s.put_config(k, v[0], v[1])

				for keyword, data in default_searches.items():
					s.put_search(data[0], keyword, data[1])

		else:
			if version < 20210905:
				s.create_tables({'passwords': tables['passwords']})
				s.drop_table('passfields')

		s.put_config('version', var.dbversion, 'int')

	logging.info(f'Updated database to version {var.dbversion}')
