PASSWORD_STORAGE = DotDict()

from .bitwarden import BitwardenStorage, BitwardenItem, BitwardenResult
from .gnome_keyring import GnomeKeyringStorage
from .sql import SqlStorage


PASSWORD_STORAGE['default'] = SqlStorage
PASSWORD_STORAGE['bitwarden'] = BitwardenStorage
PASSWORD_STORAGE['gnome'] = GnomeKeyringStorage
