function get_forms() {
	const forms = [];

	for (let form of document.getElementsByTagName('form')) {
		let fields = [null, null];

		for (const elem of form.getElementsByTagName('input')) {
			if (!fields.includes(null)) {
				continue;
			}

			if (elem.type == 'password') {
				fields[1] = elem;
			} else if (elem.type != 'hidden') {
				fields[0] = elem;
			}
		}

		if (!fields.includes(null)) {
			forms.push(fields);
		}
	}

	return forms;
}


function fill_forms(username, password) {
	const forms = get_forms();

	forms.forEach(function(form){
		form[0].value = username;
		form[1].value = password;
	});
}
