from .functions import finish_request

from ..functions import get_app


# Don't like that it has to re-grab the page without cookies
# Will probably delete later since tab.ViewSource was added
def Source(request):
	app = get_app()
	webview = request.get_web_view()
	tab = webview.get_parent()
	url = Url(request.get_uri().replace('source://', 'https://'))
	src = app.http_client.request(url)

	if not src.body:
		source = 'Failed to get source'

	else:
		try:
			data = src.data.decode()
		except UnicodeDecodeError:
			logging.error('Failed to decode page')
			logging.debug(src.data)
			tab.window.notification('Failed to decode page for source view', 'error', system=True)
			tab.close_tab()
			return True

		source = BeautifulSoup(data, features='lxml').prettify()

	data = {
		'data': source,
		'filename': url
	}

	html = app.template.render('page/source.haml', data)
	return finish_request(request, html)
