function PauseElement(elem) {
	elem.autoplay = false;
	elem.controller.pause()
};

function AVListener(event){
	elem = event.srcElement;

	if (elem.tagName === "audio" || elem.tagName === "video") {
		PauseElement(elem)
	};
};

for (let elem of document.getElementsByTagName("audio")) {
	PauseElement(elem)
};

for (let elem of document.getElementsByTagName("video")) {
	PauseElement(elem)
};

window.addEventListener("DOMNodeInserted", AVListener, false);
